Page MenuHomePhabricator

[Feeds] Implement Content Service endpoint for "trending articles"
Closed, ResolvedPublic3 Story Points

Description

This is to implement a service endpoint for returning the current trending articles, in the form of a simple JSON list. The definition of "trending" is TBD.
(presumably should support a lang= parameter)

Current iOS most-read title fetcher: https://github.com/wikimedia/wikipedia-ios/blob/cd72473f6b162ca3036682ae483c00e6c1f36ffd/Wikipedia/Code/WMFMostReadTitleFetcher.m

Event Timeline

Dbrant created this task.Apr 15 2016, 1:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 1:26 PM
Mholloway updated the task description. (Show Details)Apr 15 2016, 6:38 PM
Mholloway updated the task description. (Show Details)
Dbrant added a subscriber: atgo.May 11 2016, 7:07 PM
MBinder_WMF set the point value for this task to 3.May 13 2016, 6:15 PM
Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-83-Bismuth board.

Change 290510 had a related patch set uploaded (by Mholloway):
WIP: Trending articles endpoint

https://gerrit.wikimedia.org/r/290510

Change 290510 merged by jenkins-bot:
Most-read articles endpoint

https://gerrit.wikimedia.org/r/290510

Dbrant closed this task as Resolved.Jun 6 2016, 1:04 PM